- if platform.name == 'raspberrypi'
  %p
  :markdown
    Raspberry Pi 4 with at least 4GB is recommended. Only 32bit (`armhf`) is supported at this point.
    64 bit (`arm64`) is [on its way](https://gitlab.com/groups/gitlab-org/-/epics/2370).
    {: .alert .alert-info}
- if platform.name == 'ubuntu'
  %p
  :markdown
    For Ubuntu 20.04, `arm64` packages are also available.
    {: .alert .alert-info}
- if platform.name == 'debian'
  %p
  :markdown
    For Debian 10, `arm64` packages are also available.
    {: .alert .alert-info}
- if platform.name == 'opensuse'
  %p
  :markdown
    For OpenSuse, `arm64` packages are also available.
    {: .alert .alert-info}
- if platform.name == 'centos8'
  %p
  :markdown
    For CentOS and RedHat 8, `arm64` packages are also available.
    {: .alert .alert-info}
%h4
  1. Install and configure the necessary dependencies
- if platform.firewall_open
  %p On #{platform.long_name}, the commands below will also open HTTP, HTTPS and SSH access in the system firewall. This is an optional step, and you can skip it if you intend to access GitLab only from your local network.
%pre.command
  = platform.dependency_commands
  = platform.firewall_open
  %button{ copy_btn_options("#{platform.dependency_commands}\r\n#{platform.firewall_open}\r\n") }
    %i.fa.fa-clipboard
%p
  Next, install Postfix to send notification emails. If you want to use another solution to send emails please skip this step and
  %a{ href: "https://docs.gitlab.com/omnibus/settings/smtp.html" } configure an external SMTP server
  after GitLab has been installed.
%pre.command
  = platform.postfix_commands
  %button{ copy_btn_options("#{platform.postfix_commands}\r\n") }
    %i.fa.fa-clipboard
%p
  During Postfix installation a configuration screen may appear. Select 'Internet Site' and press enter. Use your server's external DNS for 'mail name' and press enter. If additional screens appear, continue to press enter to accept the defaults.
%h4
  2. Add the GitLab package repository and install the package
%p
  Add the GitLab package repository.
%pre.command
  = "#{platform.download_command}\n"
  %button{ copy_btn_options("#{platform.download_command}\r\n") }
    %i.fa.fa-clipboard
%p
:markdown
  Next, install the GitLab package. Make sure you have correctly [set up your DNS](https://docs.gitlab.com/omnibus/settings/dns.html), and change `https://gitlab.example.com` to the URL at which you want to access your GitLab instance. Installation will automatically configure and start GitLab at that URL.

  For `https://` URLs, GitLab will automatically [request a certificate with Let's Encrypt](https://docs.gitlab.com/omnibus/settings/ssl.html#lets-encrypthttpsletsencryptorg-integration), which requires inbound HTTP access and a [valid hostname](https://docs.gitlab.com/omnibus/settings/dns.html). You can also [use your own certificate](https://docs.gitlab.com/omnibus/settings/nginx.html#manually-configuring-https) or just use `http://` (without `s`).
%pre.command
  = "#{platform.install_commands}"
  %button{ copy_btn_options("#{platform.install_commands}") }
    %i.fa.fa-clipboard
%h4
  3. Browse to the hostname and login
:markdown
  On your first visit, you'll be redirected to a password reset screen. Provide the password for the initial administrator account and you will be redirected back to the login screen. Use the default account's username `root` to login.

  See our [documentation for detailed instructions on installing and configuration](https://docs.gitlab.com/omnibus/README.html#installation-and-configuration-using-omnibus-package).
%h4
  4. Set up your communication preferences
%p
  Visit our
  %a{ href:"/company/preference-center/" }email subscription preference center
  to let us know when to communicate with you. We have an explicit email opt-in policy so you have complete control over what and how often we send you emails.
%p
  Twice a month, we send out the GitLab news you need to know, including new features, integrations, docs, and behind the scenes stories from our dev teams. For critical security updates related to bugs and system performance, sign up for our dedicated security newsletter.
:markdown
  **Important note:** If you do not opt-in to the security newsletter, you will not receive security alerts.
  {: .alert .alert-warning}
%h4
  5. Recommended next steps
%p
:markdown
  After completing your installation, consider the [recommended next steps](https://docs.gitlab.com/ee/install/#next-steps), including [authentication options and sign-up restrictions](https://docs.gitlab.com/ee/security/README.html#securing-your-gitlab-installation).

.display-extra-links
  - if platform.name == 'raspberrypi'
    %a{ href: "https://docs.gitlab.com/omnibus/settings/rpi.html" }
      Raspberry Pi settings
  %a{ href: "https://docs.gitlab.com/omnibus/" }
    Troubleshooting
  %a{ href: "http://docs.gitlab.com/omnibus/manual_install.html" }
    Manual installation
  // We only support CE in Raspberry Pi
  - unless platform.name == 'raspberrypi'
    %a{ href: "/install/ce-or-ee/?distro=#{link_back}" }
      CE or EE
